// Copyright (c) Microsoft Corporation.  All rights reserved.
// Licensed under the MIT License.

#pragma once
// AUTO-GENERATED by WaratahCmd.exe

// HID Usage Tables: 1.4.0
// Descriptor size: 169 (bytes)
// +----------+--------+-------------------+
// | ReportId | Kind   | ReportSizeInBytes |
// +----------+--------+-------------------+
// |        1 | Input  |                 1 |
// +----------+--------+-------------------+
// |        1 | Output |                 1 |
// +----------+--------+-------------------+
// |        2 | Input  |                 1 |
// +----------+--------+-------------------+
// |        2 | Output |                 1 |
// +----------+--------+-------------------+
// |        3 | Input  |                 1 |
// +----------+--------+-------------------+
// |        3 | Output |                 1 |
// +----------+--------+-------------------+
// |        4 | Input  |                 1 |
// +----------+--------+-------------------+
// |        4 | Output |                 1 |
// +----------+--------+-------------------+
// |        5 | Input  |                 1 |
// +----------+--------+-------------------+
// |        6 | Input  |                 1 |
// +----------+--------+-------------------+
// |        7 | Input  |                 1 |
// +----------+--------+-------------------+
static const uint8_t TelephonyHeadsetDescriptor[] PROGMEM = 
{
    0x05, 0x0B,    // UsagePage(Telephony Device[0x000B])
    0x09, 0x05,    // UsageId(Headset[0x0005])
    0xA1, 0x01,    // Collection(Application)
    0x85, 0x01,    //     ReportId(1)
    0x09, 0x20,    //     UsageId(Hook Switch[0x0020])
    0x15, 0x00,    //     LogicalMinimum(0)
    0x25, 0x01,    //     LogicalMaximum(1)
    0x95, 0x01,    //     ReportCount(1)
    0x75, 0x01,    //     ReportSize(1)
    0x81, 0x02,    //     Input(Data, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, BitField)
    0x75, 0x07,    //     ReportSize(7)
    0x81, 0x03,    //     Input(Constant, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, BitField)
    0x85, 0x02,    //     ReportId(2)
    0x09, 0x2F,    //     UsageId(Phone Mute[0x002F])
    0x75, 0x01,    //     ReportSize(1)
    0x81, 0x02,    //     Input(Data, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, BitField)
    0x75, 0x07,    //     ReportSize(7)
    0x81, 0x03,    //     Input(Constant, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, BitField)
    0x85, 0x03,    //     ReportId(3)
    0x09, 0x24,    //     UsageId(Redial[0x0024])
    0x75, 0x01,    //     ReportSize(1)
    0x81, 0x02,    //     Input(Data, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, BitField)
    0x75, 0x07,    //     ReportSize(7)
    0x81, 0x03,    //     Input(Constant, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, BitField)
    0x85, 0x04,    //     ReportId(4)
    0x09, 0x21,    //     UsageId(Flash[0x0021])
    0x75, 0x01,    //     ReportSize(1)
    0x81, 0x02,    //     Input(Data, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, BitField)
    0x75, 0x07,    //     ReportSize(7)
    0x81, 0x03,    //     Input(Constant, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, BitField)
    0x85, 0x05,    //     ReportId(5)
    0x09, 0x31,    //     UsageId(Send[0x0031])
    0x75, 0x01,    //     ReportSize(1)
    0x81, 0x02,    //     Input(Data, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, BitField)
    0x75, 0x07,    //     ReportSize(7)
    0x81, 0x03,    //     Input(Constant, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, BitField)
    0x85, 0x06,    //     ReportId(6)
    0x09, 0x26,    //     UsageId(Drop[0x0026])
    0x75, 0x01,    //     ReportSize(1)
    0x81, 0x02,    //     Input(Data, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, BitField)
    0x75, 0x07,    //     ReportSize(7)
    0x81, 0x03,    //     Input(Constant, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, BitField)
    0x85, 0x07,    //     ReportId(7)
    0x09, 0x06,    //     UsageId(Telephony Key Pad[0x0006])
    0xA1, 0x02,    //     Collection(Logical)
    0x19, 0xB0,    //         UsageIdMin(Phone Key 0[0x00B0])
    0x29, 0xBF,    //         UsageIdMax(Phone Key D[0x00BF])
    0x15, 0x01,    //         LogicalMinimum(1)
    0x25, 0x10,    //         LogicalMaximum(16)
    0x75, 0x05,    //         ReportSize(5)
    0x81, 0x00,    //         Input(Data, Array, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, BitField)
    0xC0,          //     EndCollection()
    0x75, 0x03,    //     ReportSize(3)
    0x81, 0x03,    //     Input(Constant, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, BitField)
    0x85, 0x01,    //     ReportId(1)
    0x05, 0x08,    //     UsagePage(LED[0x0008])
    0x09, 0x20,    //     UsageId(Hold[0x0020])
    0x15, 0x00,    //     LogicalMinimum(0)
    0x25, 0x01,    //     LogicalMaximum(1)
    0x75, 0x01,    //     ReportSize(1)
    0x91, 0x02,    //     Output(Data, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, NonVolatile, BitField)
    0x75, 0x07,    //     ReportSize(7)
    0x91, 0x03,    //     Output(Constant, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, NonVolatile, BitField)
    0x85, 0x02,    //     ReportId(2)
    0x09, 0x17,    //     UsageId(Off-Hook[0x0017])
    0x75, 0x01,    //     ReportSize(1)
    0x91, 0x02,    //     Output(Data, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, NonVolatile, BitField)
    0x75, 0x07,    //     ReportSize(7)
    0x91, 0x03,    //     Output(Constant, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, NonVolatile, BitField)
    0x85, 0x03,    //     ReportId(3)
    0x09, 0x18,    //     UsageId(Ring[0x0018])
    0x75, 0x01,    //     ReportSize(1)
    0x91, 0x02,    //     Output(Data, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, NonVolatile, BitField)
    0x75, 0x07,    //     ReportSize(7)
    0x91, 0x03,    //     Output(Constant, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, NonVolatile, BitField)
    0x85, 0x04,    //     ReportId(4)
    0x09, 0x3B,    //     UsageId(Usage In Use Indicator[0x003B])
    0xA1, 0x02,    //     Collection(Logical)
    0x05, 0x0B,    //         UsagePage(Telephony Device[0x000B])
    0x09, 0x2A,    //         UsageId(Line[0x002A])
    0x75, 0x01,    //         ReportSize(1)
    0x91, 0x02,    //         Output(Data, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, NonVolatile, BitField)
    0xC0,          //     EndCollection()
    0x75, 0x07,    //     ReportSize(7)
    0x91, 0x03,    //     Output(Constant, Variable, Absolute, NoWrap, Linear, PreferredState, NoNullPosition, NonVolatile, BitField)
    0xC0,          // EndCollection()
};
